Bug 90022 - error in named-script
error in named-script
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-01 06:25 EDT by udippel
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-07 08:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udippel 2003-05-01 06:25:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Starting of the named is not displayed. Instead, the subsequent line (here) reads 
sshd ::
the two colons result from the named: being overwritten.
The error was introduced when the init-script was migrated to the daemon-version.

Solution: 

start() {
        # Start daemons.
	if [ -n "`/sbin/pidof named`" ]; then
		echo -n $"$prog: already running"
		return 1
	fi
        echo -n $"Starting $prog: "
	if [ -n "${ROOTDIR}" -a "x${ROOTDIR}" != "x/" ]; then
		OPTIONS="${OPTIONS} -t ${ROOTDIR}"
	fi
	daemon /usr/sbin/named -u named ${OPTIONS}
	RETVAL=$?
 	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/named 
	return $RETVAL
}

needs an 'echo' before 'return $RETVAL'. Otherwise the subsequent message will
overwrite the last 'echo -n' line.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start up 
2.
3.
    

Additional info:
Comment 1 Daniel Walsh 2003-05-07 08:50:49 EDT
This is already fixed, check out bind-9_2_2-14 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.